/// <reference types="@angular/localize" />
import {enableProdMode} from "@angular/core";
import {environment} from "./environments/environment";
import {bootstrapApplication} from "@angular/platform-browser";
import {WebbpmComponent} from "./modules/webbpm/component/webbpm.component";
import {appConfig} from "./modules/webbpm/app.config";
import "@angular/localize/init";

// import "cadesplugin_api";

let isProduction: boolean = environment.mode === "production";

if (isProduction) {
  enableProdMode();
}

window['dev_mode'] = !isProduction;

bootstrapApplication(WebbpmComponent, appConfig)
    .catch((err) => console.error(err));
